diff --git a/patches/utils/patch_header.sh b/patches/utils/patch_header.sh
index 201dcc1e92c388cd38bd17616ad97d3deec5125a..53962d41eb02bbc59eaeab207fb664f3b6ab8afb 100644
--- a/patches/utils/patch_header.sh
+++ b/patches/utils/patch_header.sh
@@ -102,17 +102,7 @@ while test $# -gt 0; do
 done
 
 echo "HERE header1"
-if [ -n "$ENV_FILE" ] ; then 
-    if [ -f "$ENV_FILE" ] ; then
-        echo -n "source $ENV_FILE ..."
-        . "$ENV_FILE"
-        echo "[DONE]"
-    else
-        echo "$ENV_FILE does not exist"
-        exit 1
-    fi
-fi
-
+source $ENV_FILE || echo "Could not source $ENV_FILE"
 echo "HERE header2"
 
 if [[ -z "$DATABASE_NAME" && -z "$MYSQL_CONNECTION" ]]